core_io.h File Reference

Helpers for printing cutlass/core objects. More...

`#include <iostream>`
`#include <typeinfo>`
`#include "cutlass/coord.h"`
`#include "cutlass/numeric_types.h"`
Include dependency graph for core_io.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::ScalarIO< T >
| Helper to enable formatted printing of CUTLASS scalar types to an ostream. More...

## Namespaces

| cutlass

## Functions

template<int Rank>
std::ostream & | cutlass::operator<< (std::ostream &out, Coord< Rank > const &coord)
std::istream & | cutlass::operator>> (std::istream &stream, half_t &x)
std::ostream & | cutlass::operator<< (std::ostream &out, half_t const &x)
template<typename T >
std::ostream & | cutlass::operator<< (std::ostream &out, ScalarIO< T > const &scalar)
| Default printing to ostream. More...
template<>
std::ostream & | cutlass::operator<< (std::ostream &out, ScalarIO< int8_t > const &scalar)
| Printing to ostream of int8_t as integer rather than character. More...
template<>
std::ostream & | cutlass::operator<< (std::ostream &out, ScalarIO< uint8_t > const &scalar)
| Printing to ostream of uint8_t as integer rather than character. More...